using System;

internal sealed class Delegate745 : MulticastDelegate
{
	public extern int Invoke(object object_0);

	public static int smethod_0(object object_0, Delegate745 delegate745_1)
	{
		return delegate745_1(object_0);
	}

	public extern Delegate745(object object_0, IntPtr intptr_0);

	static Delegate745()
	{
		Class10.smethod_13(typeof(Delegate745).TypeHandle);
	}

	internal static Delegate745 delegate745_0;
}
